+ Post New Thread
Page 1 of 467 1 2 3 11 51 101 ... LastLast
Threads 1 to 25 of 11675

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 24,950
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 41,735
    18th Sep 2006 10:46 pm Go to last post
  1. block lisp by name

    Go to the block took the name lisp

    Started by solidworks2014‎, Today 03:08 pm
    • Replies: 5
    • Views: 14
    Today 04:11 pm Go to last post
  2. Autolisp vs Modern API's

    Since LEE MAC (my LISP Messiah) said: POST #16 im wondered about the path I’ve chosen. I know all the learing curves available but ive choose autolisp because it doesn’t need to be compiled , so...

    Started by samifox‎, Today 01:33 pm
    • Replies: 5
    • Views: 64
    Today 04:07 pm Go to last post
  3. vl-every

    hi making some researches on list manipulation, this is the (vl-every) issue: (vl-every '= '(1 2 3) '(1 2 3)) and this is my (while) equivalent, somehow i get hard time with how to return...

    Started by samifox‎, 20th Apr 2014 02:37 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 523
    Today 03:56 pm Go to last post
  4. lisp automatic dimensioning

    Have lisp automatic dimensioning

    Started by solidworks2014‎, Today 03:10 pm
    • Replies: 0
    • Views: 10
    Today 03:10 pm Go to last post
  5. dimensions that align lisp

    measures that align lisp

    Started by solidworks2014‎, Today 03:09 pm
    • Replies: 0
    • Views: 8
    Today 03:09 pm Go to last post
  6. Is there a script/lisp to change text style on multiple dwgs & add a generic note ?

    Is there a script / lisp routine which will open up multiple acad drawings in selected batches and then modify the text font style across a drawing without affecting the height and justification...

    Started by billy68‎, Today 01:21 pm
    • Replies: 1
    • Views: 46
    Today 01:30 pm Go to last post
  7. Proceed with routine only if SSLENGTH=1...?

    Hey guys, I've got this routine which I plan to use as a tool to rev up drawings. It basically duplicates the revision block and puts the old revision block within another block (so it cannot be...

    Started by lamensterms‎, Today 05:53 am
    • Replies: 9
    • Views: 109
    Today 11:30 am Go to last post
  8. Stuck with COND and CAR

    I am trying to write a program that draws roof battens. I was able to get the program to work when clicking from left to right on the AutoCAD drawing but I thought I would write a bit in the program...

    Started by Andrew1979‎, Today 09:39 am
    • Replies: 3
    • Views: 55
    Today 09:59 am Go to last post
  9. How to retrieve LWPOLYLINE length without using vl?

    hi How to retrieve LWPOLYLINE length without using vl? Thanks Shay

    Started by samifox‎, Yesterday 05:37 am
    • Replies: 7
    • Views: 142
    Today 06:37 am Go to last post
  10. Cumulative area of select polylines in autocad

    Hello, is there way to do that (on the name of threat). I mean like select two or more hatches and in the properties you can see the cumulative area. I have a lisp to sum all lenths and areas of...

    Started by sevdo2000‎, 1st Apr 2010 08:53 pm
    • Replies: 8
    • Views: 4,797
    Today 06:04 am Go to last post
  11. EQ, =, EQUAL but NOT case sensitive...?

    Hey guys, I have a routine which is comparing and updating the revision value in our title blocks, and have found that there is a need to consider some values equal or not... but ignoring the case...

    Started by lamensterms‎, Today 04:12 am
    • Replies: 7
    • Views: 95
    Today 05:43 am Go to last post
  12. list box slide

    Hi , i want to make a list box slide (with lisp) like the attach photo. Can any show me an example how to do it ?

    Started by prodromosm‎, 17th Apr 2014 08:13 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 260
    Today 03:55 am Go to last post
  13. What command in LISP do I use so that when the dialogue box pops up it hits enter?

    What command in LISP do I use so that when the dialogue box pops up it hits enter? I am using AutoCAD 10 on a WIN 7 Machine I do not have line 7 correct and I am not sure what to put. Here...

    Started by wsucad‎, Yesterday 03:21 pm
    • Replies: 3
    • Views: 105
    Yesterday 08:42 pm Go to last post
  14. Drawing cylindrical break line ?

    Pick up three points, Drawing cylindrical break line , Forum has this code ?

    Started by liuhaixin88‎, Yesterday 08:39 am
    4 Pages
    1 2 3 ... 4
    • Replies: 34
    • Views: 386
    Yesterday 06:54 pm Go to last post
  15. a series of polyline in between two bounding polyline

    I need a lisp which will draw a series of polyline in between two bounding polyline. The series of polyline will be perpendicular with two bounding polyline. Please view the image.

    Started by souvik‎, 14th May 2012 08:48 am
    • Replies: 8
    • Views: 769
    Yesterday 03:53 pm Go to last post
  16. intermitent error: Automation Error. Key not found

    Thanks to LM's site I know that the error is caused by "program attempting to use item method of a vla collection object to access an item not present in that collection." 1rst thing: its part...

    Started by Jef!‎, 18th Apr 2014 03:43 am
    • Replies: 2
    • Views: 130
    Yesterday 03:47 pm Go to last post
  17. Idea Specify a path to create toolbar(*.mnu)

    This code can automatically create the toolbar(*.mnu) But creating at " my documents ",Can I choose the path? For example: E:\Program Files\AutoCAD 2010\Support ;;Automatically create the...

    Started by liuhaixin88‎, 21st Apr 2014 01:00 pm
    • Replies: 5
    • Views: 187
    Yesterday 01:10 pm Go to last post
  18. Using LISP without VLA

    I have a setup program at the moment that works well with adding support path directories to AutoCAD in full versions of AutoCAD. There is a 3rd party application called CADSTA that makes AutoCAD Lt...

    Started by Andrew1979‎, 18th Apr 2014 12:16 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 319
    Yesterday 09:52 am Go to last post
  19. command issues

    hi im trying to create a wipeout beneate a hatch, i cant figure out what im doing wrong? (defun C:TEST(/ ent) (setq ent (entget(car(entsel)))) (command "HATCHGENERATEBOUNDARY" (cdr...

    Started by samifox‎, Yesterday 05:27 am
    • Replies: 3
    • Views: 109
    Yesterday 09:42 am Go to last post
  20. mapcar, nth and 1+, something is wrong

    hi i wrote a simple mapcar to add "Mr" to first names , but i get error why i cant use 1+ to retrieve names from list? thanks S

    Started by samifox‎, 19th Apr 2014 03:06 am
    • Replies: 9
    • Views: 217
    Yesterday 06:31 am Go to last post
  21. how to insert variable into entmake list?

    hi i need to make entities in a loop, the location needs to be updated , how can i insert "live" data into the quoted list? (defun caseA (tot seg ang / i) (setq i 0) (while (<= i (-...

    Started by samifox‎, 25th Mar 2014 08:17 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 287
    Yesterday 05:28 am Go to last post
  22. Basic LISP help required

    I have a repetitive task involving inserting room areas into an attribute block. Currently I am using standard 'area' command and counting back six places from the decimal point, mentally noting...

    Started by FrankPB‎, 31st Mar 2010 11:36 am
    4 Pages
    1 2 3 ... 4
    • Replies: 35
    • Views: 8,323
    Yesterday 04:02 am Go to last post
  23. Please help me to make lisp How to draw circles into shape.

    Please help me as title See the attached Drawing

    Started by bienda‎, 7th Apr 2014 05:36 pm
    • Replies: 4
    • Views: 315
    Yesterday 12:23 am Go to last post
  24. Align objects with 2 clicks?

    EDIT3 (short version): So the default concept for alignment in AutoCAD is picking "source and destination" points - atleast 2 pairs, then it asks you to scale the objects. This process is kinda slow...

    Started by Grrr‎, 21st Apr 2014 10:50 pm
    • Replies: 0
    • Views: 146
    21st Apr 2014 10:50 pm Go to last post
  25. Question Things to watch-out on LISP for 2008 vs 2014?

    Hello, A question to LISPers I will be getting 2014 soon (few months from now though) and I would like to know if all my existing LISP that are currently being used on 2008 will work in 2014 as...

    Started by shailujp‎, 20th Apr 2014 08:48 am
    • Replies: 5
    • Views: 203
    21st Apr 2014 05:23 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts